Subject: [OSPF] checking OOBResync while flooding

From: <[email-masked]>
Date: Wed, 5 Nov 2008 17:06:57 +0800

Hi,
 
I am having a doubt on Neighbor State treatment (Section 2.5) of RFC
4811 (OSPF Out-of-Band LSDB Resynchronization)
 
Below is the extract:
        "Any explicit checks for the Full state of a neighbor FSM for
the
       purposes other than LSDB synchronization and flooding should
       treat states ExStart, Exchange, and Loading as state Full,
       provided that OOBResync flag is set for the neighbor.  (Flooding
       and MaxAge-LSA-specific procedures should not check the state of
       the OOBResync flag, but should continue consulting only the FSM
       state.)"

In the first sentence it is said that during flooding, the neighbor
state should be treated as Full if OOBResync flag is set and FSM states
in ExStart, Exchange and Loading.
 
In the second sentence it is mentioned that while flooding, the state of
OOBResync flag should not be checked and FSM state should be taken
irrespective of that.
 
I see that both the sentences are contradictory.
 
thanx & regards
ramana
_______________________________________________
OSPF mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ospf

---

From: Sengottuvelan Srirangan <[email-masked]>
Date: Wed, 5 Nov 2008 03:43:18 -0800 (PST)

Hi Ramana,

I believe that OSPF router should not check OOBResync flag only if it is for Max-Aged LSA flooding during Out-of-Band LSDB 
Resynchronization process.

ospf:-

Please correct me if my understanding is wrong.

Regards
Sengottuvelan

--- On Wed, 11/5/08, [email-masked] <[email-masked]> wrote:
From: [email-masked] <[email-masked]>
Subject: [OSPF] checking OOBResync while flooding
To: [email-masked]
Date: Wednesday, November 5, 2008, 2:06 PM

Hi,
 
I am having 
a doubt on Neighbor State treatment (Section 2.5) of RFC 4811 (OSPF Out-of-Band LSDB 
Resynchronization)
 
Below is the 
extract:
        "Any 
explicit checks for the Full state of a neighbor FSM for 
the
       purposes other than LSDB 
synchronization and flooding should
       
treat states ExStart, Exchange, and Loading as state 
Full,
       provided that OOBResync flag is 
set for the neighbor.  (Flooding
       
and MaxAge-LSA-specific procedures should not check the state 
of
       the OOBResync flag, but should 
continue consulting only the FSM
       
state.)"

In the first 
sentence it is said that during flooding, the neighbor state should be 
treated as Full if OOBResync flag is set and FSM states in ExStart, Exchange and 
Loading.
 
In the 
second sentence it is mentioned that while flooding, the state of OOBResync flag 
should not be checked and FSM state should be taken irrespective of 
that.
 
I see that 
both the sentences are contradictory.
 
thanx & 
regards
ramana_______________________________________________
OSPF mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ospf